# Squared Paper Extension README

Adds Busby and Squared Paper extensions to vscode

## Features

- Provides lookups for projects and keeping track of the busby core hosts connected to
- Adds ESB Subscriber to load in the editor
- Adds ESB CLI to load in the editor

## Requirements

Configure the path to your busby_pspl folder

## Extension Settings

This extension contributes the following settings:

* `busby.workingFolder`: The location of the busby_pspl folder. Only needed if working with source code

## Launch config

For connecting to busby services they mostly use 4 command line arguments. This extension provides some commands which can be used to make connecting easier.

```
{
    "args": [
        "${command:squaredpaper.pickBusbyCore}",
        "squared",
        "Squared1",
        "${command:squaredpaepr.pickProvider}"
    ]
}
```

This will allow you to enter the core host to connect to and then it will connect and list the avialble providers to pick the one you want to run.
